package br.com.inpe.ip.application.converter;

import javax.enterprise.context.RequestScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.inject.Inject;
import javax.inject.Named;

import br.com.inpe.ip.domain.entity.Group;
import br.com.inpe.ip.domain.service.GroupService;

@Named
@RequestScoped
public class GroupConverter implements Converter {
			
	@Inject private GroupService groupService;
	
	@Override
	public Object getAsObject (FacesContext context, UIComponent component, String value) {
		if ( value == null || value.trim().isEmpty() ) {
			return null;
		}
		return groupService.withId(Integer.parseInt(value));
	}

	@Override
	public String getAsString (FacesContext context, UIComponent component, Object value) {
		if ( value == null || value.equals("") || ((Group) value).getId() == null ) { 
			return "";		
		}		
		return ((Group) value).getId().toString();
	}
		
}
