package br.com.inpe.ip.application.converter;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.inject.Named;

import br.com.inpe.ip.domain.entity.StaffType;

@Named
public class StaffTypeConverter implements Converter {

	@Override
	public Object getAsObject(FacesContext context, UIComponent component, String value) {
		if ( value == null || value.trim().isEmpty() ) {
			return null;
		}
		for (StaffType s : StaffType.values()) {
			if (s.getCode().equalsIgnoreCase(value)) {
				return s;
			}
		}		
		return null;	
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component, Object value) {
		if ( value == null || value.equals("") ) {
			return "";			
		}
		return ( (StaffType)value).getCode();		
	}
}
