package br.com.inpe.ip.application.mb;

import java.io.Serializable;
import java.util.List;

import javax.faces.bean.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;

import br.com.inpe.ip.domain.entity.Group;
import br.com.inpe.ip.domain.service.GroupService;

@Named
@ViewScoped
public class GroupMB extends BaseBean implements Serializable {
	
	@Inject private GroupService groupService;
	
	private Group group = new Group();	
	private List<Group> groups;
	
	public void saveOrUpdate () {
		try {			
			if ( group.getId() == null ) {
				groupService.save(group);
				group = new Group();
				addInfoMessage("grupo cadastrado com sucesso!");
			} else {
				groupService.update(group);
				addInfoMessage("grupo alterado com sucesso!");	
			}
		} catch ( Exception e ) {
			addErrorMessage("ocorreu um erro inexperado!");
			e.getCause().getLocalizedMessage();			
		}
	} 
	
	public void remove () {		
		try {
			groupService.remove(group);	
			group = new Group();
			groups = groupService.findAll();
			addInfoMessage("project removed");
		} catch ( Exception e ) {
			addErrorMessage(e.getMessage());
			e.printStackTrace();
		}		
	}
	
	public Group getGroup() {
		return group;
	}

	public void setGroup(Group group) {
		this.group = group;
	}

	public List<Group> getGroups() {		
		return groups == null ? groups = groupService.findAll() : groups;
	}

	public void setGroups(List<Group> groups) {
		this.groups = groups;
	}

	private static final long serialVersionUID = -3161182652760492626L;

}
