package br.com.inpe.ip.application.mb;

import java.io.Serializable;

import javax.faces.bean.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;
import javax.persistence.NoResultException;

import br.com.inpe.ip.domain.entity.User;
import br.com.inpe.ip.domain.service.UserService;

@Named
@ViewScoped
public class UserMB extends BaseBean implements Serializable {
	
	@Inject private UserService userService;
	
	private String login;
	private String password;
	
	private User user;
	
	public String userLogin () {
		try {			
			user = userService.withLogin(login, password);				
			return "/principal/principal.jsf?faces-redirect=true";
		} catch ( NoResultException nre ) {
			addErrorMessage("usuário não encontrado!");
			return "";
		} catch ( Exception e ) {
			e.printStackTrace();
			addErrorMessage("ocorreu um erro inexperado!");
			return "";		
		}
	}		
	
	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	private static final long serialVersionUID = -3350464332006134363L;

}
