package br.com.inpe.ip.domain.service;

import java.io.Serializable;
import java.util.List;

import javax.inject.Inject;

import org.hibernate.exception.ConstraintViolationException;

import br.com.inpe.ip.domain.entity.Employee;
import br.com.inpe.ip.infrastructure.dao.GenericRepository;

public class EmployeeService implements Serializable {
	
	@Inject GenericRepository<Employee, Integer> repository;
	
	public void save (Employee employee) {
		try {
			repository.persist(employee);
		} catch (ConstraintViolationException cve) {
			throw cve;
		}		
	}
	
	public Employee update (Employee employee) {
		try {
			return repository.merge(employee);			
		} catch (ConstraintViolationException cve) {
			throw cve;
		}		
	}
	
	public void remove (Employee employee) {
		repository.remove(employee);			
	}
	
	public List<Employee> findAll () {		
		return repository.list();
	}
	
	private static final long serialVersionUID = 1078571777156759509L;
	
}
