package br.com.inpe.ip.domain.service;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import javax.inject.Inject;
import javax.persistence.NoResultException;

import br.com.inpe.ip.domain.entity.User;
import br.com.inpe.ip.infrastructure.dao.GenericRepository;

public class UserService implements Serializable {

	@Inject private GenericRepository<User, Integer> repository;

	public User withLogin (String login, String password) {
		Map<String, Object> params = new HashMap<String, Object>();
		params.put(User.LOGIN, login);
		params.put(User.PASSWORD, password);		
		try {
			return repository.getByNamedQuery("User.getByLogin", params);					
		} catch ( NoResultException nre ) {
			throw nre;
		} 
	}

	private static final long serialVersionUID = -8775423294224563468L;

}
